import axios from "axios";

import Vue from 'vue'

const instance = axios.create(config)

let config = {
    timeout: 10000,
    // 每次请求携带cookie
    withCredentials: true,
}

instance.interceptors.request.use(function (config) {
    Vue.prototype.$loading.show()
    let token = localStorage.getItem('token');
    let proxy_url = process.env.VUE_APP_BASE_URL//打包上线时请改用此处
    config.url = proxy_url+config.url;
    config.headers['Authorization'] = token;
    return config;
  }, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
  });

// 2. 响应拦截
instance.interceptors.response.use(res => {
      Vue.prototype.$loading.hide()
      if(res.status == 200){
        if(res.data.code == 200){
            return res.data
        }else{//若code 非 200
            if(res.data.code == 401){
                Vue.prototype.$Message.error(res.data.msg||'账户异常')
                localStorage.removeItem('token')
                setTimeout(()=>{
                  return location.href = ''
                })
            }else{
                Vue.prototype.$Message.error(res.data.msg||'未知错误')
                return res
            }
            
        }
      }else{
          return Vue.prototype.$Message.error('请求超时') 
      }
    },
    // 对于错误响应的处理
    err => {
      Vue.prototype.$Notice.error({title:'请求失败',desc:err});
      Vue.prototype.$loading.hide();
      return err;
    }
);

export default instance