import Vue from 'vue'
import Form from './index.vue'

const FormConfirm = Vue.extend(Form)

const Content = ({title,forms,labelWidth,then,cancel,change})=>{
    const instance = new FormConfirm({
        data:{
            title:title,
            forms:forms,
            labelWidth:labelWidth||100,
            show:false,
        }
    })
    instance.vm = instance.$mount()
    instance.vm.show = true
    instance.dom = instance.vm.$el
    document.body.appendChild(instance.vm.$el) // 将dom插入body
    instance.vm.$on('then', () => {
        if (typeof then === 'function') {
            const result = instance.forms.reduce((pre,cur)=>{
                pre[cur['serverName']] = cur.value
                return pre
            },{});
            then(result)
        }
        instance.dom.remove();
        instance.vm.$destroy()
    })
    instance.vm.$on('cancel', () => {
        if (typeof cancel === 'function') {
            cancel(instance)
        }
        instance.dom.remove();
        instance.vm.$destroy()
    })
    instance.vm.$on('change', () => {
        if (typeof change === 'function') {
            change(instance.forms)
        }
    })
    return instance.vm
}
export default {
    install: Vue => {
      Vue.prototype.confirmForm = Content // 组件暴露出去，并挂载在Vue的prototype上
    }
}


