
import Vue from 'vue'
import previewImg from './index.vue'

const previewImgConstructor = Vue.extend(previewImg)

const Content = ({list,baseUrl,baseImgField,baseTitleField})=>{
    const instance = new previewImgConstructor({
        data:{
            list:list||[],
            baseUrl:baseUrl||'',
            baseImgField:baseImgField||'',
            baseTitleField:baseTitleField||''
        }
    })
    instance.vm = instance.$mount()
    instance.vm.show = true
    instance.dom = instance.vm.$el
    document.body.appendChild(instance.vm.$el) // 将dom插入body
    instance.vm.$on('close', () => {
        instance.vm.show = false
        document.body.removeChild(instance.vm.$el)
    })
    return instance.vm
}
export default {
    install: Vue => {
      Vue.prototype.$previewImg = Content // 组件暴露出去，并挂载在Vue的prototype上
    }
}


