import Vue from 'vue'
import Box from './index.vue'

const SelectBox = Vue.extend(Box)

const Content = ({title,params,project_name,then,cancel})=>{
    const instance = new SelectBox({
        data:{
            title:title,
            params:params,
            project_name
        }
    })
    instance.vm = instance.$mount()
    instance.vm.show = true
    instance.dom = instance.vm.$el
    document.body.appendChild(instance.vm.$el) // 将dom插入body
    instance.vm.$on('then', () => {
        if (typeof then === 'function') {
            then(instance.tableResult)
        }
        instance.show = false
        instance.dom.remove();
        instance.vm.$destroy()
        
    })
    instance.vm.$on('cancel', () => {
        if (typeof cancel === 'function') {
            cancel(instance)
        }
        instance.show = false
        instance.dom.remove();
        instance.vm.$destroy()
    })
    return instance.vm
}
export default {
    install: Vue => {
      Vue.prototype.$selectBoxing = Content // 组件暴露出去，并挂载在Vue的prototype上
    }
}


