import Vue from 'vue'
import Reference from './index.vue'

const ReferenceCollner = Vue.extend(Reference)

const Content = ({title,type,then,cancel,sub_type,produce_id})=>{
    const instance = new ReferenceCollner({
        data:{
            title:title,
            type:type,
            sub_type:sub_type,
            produce_id:produce_id
        }
    })
    instance.vm = instance.$mount()
    instance.vm.show = true
    instance.dom = instance.vm.$el
    document.body.appendChild(instance.vm.$el) // 将dom插入body
    instance.vm.$on('then', () => {
        if (typeof then === 'function') {
            then(instance.tableResult,instance.projectDetail||{})
        }
        instance.show = false
        instance.dom.remove();
        instance.vm.$destroy()
        
    })
    instance.vm.$on('cancel', () => {
        if (typeof cancel === 'function') {
            cancel(instance)
        }
        instance.show = false
        instance.dom.remove();
        instance.vm.$destroy()
    })
    instance.vm.$on('changePage', () => {
        if (typeof changePage === 'function') {
            changePage(instance.pageIndex)
        }
    })
    return instance.vm
}
export default {
    install: Vue => {
      Vue.prototype.$reference = Content // 组件暴露出去，并挂载在Vue的prototype上
    }
}


