import Vue from 'vue'
import Boms from './index.vue'

const SelectBoms = Vue.extend(Boms)

const Content = ({title,type,params,hideLeft,then,cancel})=>{
    const instance = new SelectBoms({
        data:{
            title:title,
            type:type,
            show:false,
            hideLeft: hideLeft,
            params:params||{},
        }
    })
    instance.vm = instance.$mount()
    instance.vm.show = true
    instance.dom = instance.vm.$el
    document.body.appendChild(instance.vm.$el) // 将dom插入body
    instance.vm.$on('then', () => {
        if (typeof then === 'function') {
            const result = []
            if(instance.type == 'stock'){
                instance.selects.forEach(element=>result.push(element))
            }else{
                instance.selects.forEach(element=>{
                    const {stock_type_title,bom_id,type_id,id} = element
                    result.push(
                      // {stock_type_title,bom_id,type_id,id}
                      element
                      )
                })
            }
            
            then(result)
        }
        instance.dom.remove();
        instance.vm.$destroy()
    })
    instance.vm.$on('cancel', () => {
        if (typeof cancel === 'function') {
            cancel(instance)
        }
        instance.dom.remove();
        instance.vm.$destroy()
    })
    return instance.vm
}
export default {
    install: Vue => {
      Vue.prototype.selectBoms = Content // 组件暴露出去，并挂载在Vue的prototype上
    }
}


