const routerMap = [
  {
    path: '/cms/home',
    name: 'Home', //存货-->计量单位
    meta: { index: 1 },
    component: (resolve) => require(['@/views/home'], resolve),
  },
  {
    path: '/cms/basicsettings/stock/unit',
    name: 'StockUnit', //存货-->计量单位
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Stock/unit'], resolve),
  },
  {
    path: '/cms/basicsettings/stock/attribute',
    name: 'attribute', //存货-->存货属性档案
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Stock/attribute'], resolve),
  },
  {
    path: '/cms/basicsettings/stock/list',
    name: 'StockList', //存货-->存货档案
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Stock/list'], resolve),
  },
  {
    path: '/cms/basicsettings/stock/classify',
    name: 'StockClassify', //存货-->存货档案
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Stock/classify'], resolve),
  },
  {
    path: '/cms/basicsettings/bom/list',
    name: 'BOMlist', //BOM档案-->BOM管理
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BOM/list'], resolve),
  },
  {
    path: '/cms/basicsettings/bom/edit',
    name: 'BOMEdit', //BOM档案 --> BOM管理 --> BOM详情
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BOM/edit'], resolve),
  },
  {
    path: '/cms/basicsettings/bom/history',
    name: 'BOMHistory', //BOM档案 --> BOM管理 --> BOM详情
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BOM/updateHistory'], resolve),
  },
  {
    path: '/cms/basicsettings/businessfile/storage',
    name: 'BOMStorage', //业务档案管理 --> 仓库档案
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BusinessFile/storage'], resolve),
  },
  {
    path: '/cms/basicsettings/businessfile/process',
    name: 'BOMProcess', //业务档案管理 --> 工序档案
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BusinessFile/process'], resolve),
  },
  {
    path: '/cms/basicsettings/businessfile/processprice',
    name: 'BOMProcessPrice', //业务档案管理 --> 工序档案
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BusinessFile/producePrice'], resolve),
  },
  {
    path: '/cms/basicsettings/businessfile/inout',
    name: 'BOMInout', //业务档案管理 --> 出入库类别档案
    meta: { index: 4 },
    component: (resolve) =>
      require(['@/views/BasicSettings/BusinessFile/inout'], resolve),
  },
  {
    path: '/cms/basicsettings/departmentstaff/personnel',
    name: 'Personnel', //部门管理 --> 人员列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/DepartmentStaff/personnel'], resolve),
  },
  {
    path: '/cms/basicsettings/departmentstaff/section',
    name: 'Section', //部门管理 --> 部门列表
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/DepartmentStaff/section'], resolve),
  },

  {
    path: '/cms/basicsettings/personnelmanagement/role',
    name: 'PersonnelManagementRole', //基础设置--> 用户管理 --> 角色管理
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/PersonnelManagement/role'], resolve),
  },
  {
    path: '/cms/basicsettings/personnelmanagement/user',
    name: 'PersonnelManagementUser', //基础设置--> 用户管理 --> 用户管理
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/PersonnelManagement/user'], resolve),
  },
  {
    path: '/cms/basicsettings/personnelmanagement/role/edit',
    name: 'PersonnelManagementRoleEdit', //基础设置--> 用户管理 --> 角色管理-->详情
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/PersonnelManagement/roleEdit'], resolve),
  },
  {
    path: '/cms/basicsettings/personnelmanagement/user/edit',
    name: 'PersonnelManagementUserEdit', //基础设置--> 用户管理 --> 用户管理-->详情
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/PersonnelManagement/userEdit'], resolve),
  },
  {
    path: '/cms/basicsettings/supplier/list',
    name: 'SupplierList', //供应商 --> 供应商档案列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Supplier/list'], resolve),
  },
  {
    path: '/cms/basicsettings/supplier/classify',
    name: 'SupplierClassify', //供应商 --> 供应商分类列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Supplier/classify'], resolve),
  },
  {
    path: '/cms/basicsettings/supplier/price',
    name: 'SupplierPrice', //供应商 --> 供应商存货价格表
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Supplier/price'], resolve),
  },
  {
    path: '/cms/basicsettings/supplier/detail',
    name: 'SupplierDetail', //供应商 --> 供应商存货价格表详情
    meta: { index: 3 },
    component: (resolve) =>
      require(['@/views/BasicSettings/Supplier/detail'], resolve),
  },
  {
    path: '/cms/businessprocessing/projectmannage/index',
    name: 'ProjectMannageList', //业务处理 --> 项目管理-->项目管理列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/ProjectMannage/index'], resolve),
  },
  {
    path: '/cms/businessprocessing/projectmannage/edit',
    name: 'ProjectMannageEdit', //业务处理 --> 项目管理-->项目管理列表-->新增
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/ProjectMannage/edit'], resolve),
  },
  {
    path: '/cms/businessprocessing/bomproject/index',
    name: 'BOMProject', //业务处理 --> BOM清单-->BOM清单列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/BomProject/index'], resolve),
  },
  {
    path: '/cms/businessprocessing/bomproject/edit',
    name: 'BOMProjectEdit', //业务处理 --> BOM清单-->BOM清单列表-->新增项目BOM
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/BomProject/edit'], resolve),
  },
  {
    path: '/cms/businessprocessing/bomproject/demo',
    name: 'demo', //业务处理 --> BOM清单-->BOM清单列表-->新增项目BOM
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/BomProject/demo'], resolve),
  },
  {
    path: '/cms/businessprocessing/bomproject/record',
    name: 'BOMProjectRecord', //业务处理 --> BOM清单-->BOM清单列表-->变更记录
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/BomProject/record'], resolve),
  },
  {
    path: '/cms/businessprocessing/planmannage/productionplan/index', //type 0 外协 1外购  2委外 3生产 4项目计划单列表
    name: 'ProductionPlan', //业务处理 --> 计划管理  --> 委外计划
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/PlanMannage/productionPlan/index',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/planmannage/productionplan/edit', //type 0 外协 1外购  2委外 3生产 4项目计划单列表
    name: 'ProductionPlanEdit', //业务处理 --> 计划管理  --> 委外计划详情
    meta: { index: 2 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/PlanMannage/productionPlan/edit',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/planmannage/statistics/summary',
    name: 'Summary', //业务处理 --> 计划管理  --> 计划统计表 --> 执行统计汇总表
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/PlanMannage/statisticsPlan/summary',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/list',
    name: 'PurchaseOrder', //业务处理 --> 采购管理  --> type 0 外协订单列表  1 外购订单列表  2 委外订单列表 3 到货检验单
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/PurchaseOrder/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/edit',
    name: 'PurchaseOrderEdit', //业务处理 --> 采购管理  --> 新增（查看）  --> type 0 外协订单列表  1 外购订单列表  2 委外订单列表 3 到货检验单
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/PurchaseOrder/edit',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/executionstatistics',
    name: 'ExecutionStatistics', //业务处理 --> 采购管理  --> 采购执行统计表
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/ExecutionStatistics/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/invoice',
    name: 'Invoice', //业务处理 --> 采购管理  --> 发票列表
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/Invoice/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/invoice/detail',
    name: 'InvoiceDetail', //业务处理 --> 采购管理  --> 发票列表 --> 发票详情
    meta: { index: 2 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/Invoice/detail',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/procurement/balancechart',
    name: 'BalanceChart', //业务处理 --> 采购管理  --> 暂估余额表
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProcurementMannage/BalanceChart/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/inout/list',
    name: 'InoutList', //业务处理 --> 库存管理  --> 出入库单列表  type 1 入库 2 出库
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/InoutStock/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/inout/edit',
    name: 'InoutEdit', //业务处理 --> 库存管理  --> 出入库单列表详情  type 1 入库 2 出库
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/InoutStock/edit',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/box/list',
    name: 'BoxList', //业务处理 --> 库存管理  --> (装箱单列表，发货单列表)  type 1 装箱单列表 2 装箱单列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/StockMannage/Boxing/list'], resolve),
  },
  {
    path: '/cms/businessprocessing/box/edit',
    name: 'BoxEdit', //业务处理 --> 库存管理  --> (装箱单列表详情，发货单列表详情)  type 1 装箱单列表详情 2 装箱单列表详情
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/StockMannage/Boxing/edit'], resolve),
  },
  {
    path: '/cms/businessprocessing/charts/index',
    name: 'InoutCharts', //出入库统计表通用
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/charts/index',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/changeOrder/list',
    name: 'ChangeOrderList', // 项目库存转换单
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/changeOrder/list',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/changeOrder/edit',
    name: 'ChangeOrderEdit', // 项目库存转换单
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/changeOrder/edit',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/charts/detail',
    name: 'InoutChartsDetail',
    meta: { index: 1 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/StockMannage/charts/detail',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/production/list',
    name: 'ProductionMannage', //业务处理 --> 生产管理  --> (生产订单列表，派工单列表，完工单列表)  type 1 生产订单列表 2 派工单列表 3完工单列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/ProductionMannage/list'], resolve),
  },
  {
    path: '/cms/businessprocessing/production/productiondetail',
    name: 'ProductionMannageDetail', //业务处理 --> 生产管理  --> 生产订单详情
    meta: { index: 2 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProductionMannage/productionDetail',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/production/dispatchdetail',
    name: 'ProductionMannageDispatchDetail', //业务处理 --> 生产管理  -->  type 2 派工单详情  3 完工单详情
    meta: { index: 2 },
    component: (resolve) =>
      require([
        '@/views/BusinessProcessing/ProductionMannage/dispatchDetail',
      ], resolve),
  },
  {
    path: '/cms/businessprocessing/aftersale/list',
    name: 'AfterSale', //售后管理 type 1 售后保修单列表 type 2 售后处理单列表
    meta: { index: 1 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/AfterSale/list'], resolve),
  },
  {
    path: '/cms/businessprocessing/aftersale/add',
    name: 'AfterSaleAdd', //新增售后单
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/AfterSale/add'], resolve),
  },
  {
    path: '/cms/businessprocessing/aftersale/detail',
    name: 'AfterSaleDetail', //新增售后单
    meta: { index: 2 },
    component: (resolve) =>
      require(['@/views/BusinessProcessing/AfterSale/detail'], resolve),
  },
];

export default routerMap;
