export default {
  isType(obj) {
    //类型判断
    var regexp = /\s(\w+)\]/;
    var result = regexp.exec(Object.prototype.toString.call(obj))[1];
    return result;
  },
  replaceDate(str) {
    //时间戳转换
    str = str.toString().length == 10 ? str * 1000 : str;
    let now = str ? new Date(str) : new Date(),
      y = now.getFullYear(),
      m = now.getMonth() + 1,
      d = now.getDate();
    return (
      y +
      '-' +
      (m < 10 ? '0' + m : m) +
      '-' +
      (d < 10 ? '0' + d : d) +
      ' ' +
      now.toTimeString().substr(0, 8)
    );
  },
  replaceDateNoHMS(str) {
    //时间戳转换
    str = str.toString().length == 10 ? str * 1000 : str;
    let now = str ? new Date(str) : new Date(),
      y = now.getFullYear(),
      m = now.getMonth() + 1,
      d = now.getDate();
    return y + '-' + (m < 10 ? '0' + m : m) + '-' + (d < 10 ? '0' + d : d);
  },
  //时间转换
  setDate(time) {
    let data = '';
    if (Object.prototype.toString.call(time) === '[object Date]') {
      data = new Date(time).toLocaleDateString().replace(/\//g, '-');
    }
    return data;
  },
  uniquesObjs(obj) {
    //去除统一数组中相同的对象
    let uniques = [];
    let stringify = {};
    for (let i = 0; i < obj.length; i++) {
      let keys = Object.keys(obj[i]);
      keys.sort(function(a, b) {
        return Number(a) - Number(b);
      });
      let str = '';
      for (let j = 0; j < keys.length; j++) {
        str += JSON.stringify(keys[j]);
        str += JSON.stringify(obj[i][keys[j]]);
      }
      if (!stringify.hasOwnProperty(str)) {
        uniques.push(obj[i]);
        stringify[str] = true;
      }
    }
    uniques = uniques;
    return uniques;
  },
  throttle(func, wait) {
    //节流
    let timer = null;
    let fn = function() {
      if (!timer) {
        let args = Array.from(arguments);
        timer = setTimeout(() => {
          func.apply(this, args);
          timer = null;
        }, wait);
      }
    };
    return fn;
  },
  shake(func, t) {
    //防抖
    let fn = function() {
      let args = Array.from(arguments);
      clearTimeout(func.id);
      func.id = setTimeout(() => {
        func.apply(this, args);
      }, t);
    };
    return fn;
  },
  objToParams(obj) {
    let result = '';
    for (let i in obj) {
      result += `&${i}=${obj[i]}`;
    }
    result = '?' + result.substr(1, result.length - 1);
    return result;
  },
  throttle(func, wait) {
    //防抖(在某个时间段内只触发一次)
    let timer = null;
    let fn = function() {
      if (!timer) {
        let args = Array.from(arguments);
        timer = setTimeout(() => {
          func.apply(this, args);
          timer = null;
        }, wait);
      }
    };
    return fn;
  },
  shake(func, t) {
    //节流
    let fn = function() {
      let args = Array.from(arguments);
      clearTimeout(func.id);
      func.id = setTimeout(() => {
        func.apply(this, args);
      }, t);
    };
    return fn;
  },
  remove_repetition_for_array(array) {
    const result = [];
    array.map((row) => {
      const reset = result.find((ele) => ele.marge_id == row.marge_id);
      if (!reset) {
        result.push(row);
      }
    });
    return result;
  },
  //对应id元素滚动
scrollEvent(domId, callbackFunc) {
	var dom = document.getElementById(domId);
	var scrollFunc = function(e) {
		var direct = 0;
		e = e || window.event;

		if (e.wheelDelta) {//IE/Opera/Chrome 
     
			if (e.wheelDelta > 0) {
				direct = -1;
			} else {
				direct = 1;
			}
		} else if (e.detail) {//Firefox 
     
			if (e.detail > 0) {
				direct = 1;
			} else {
				direct = -1;
			}
		}
		if (callbackFunc) {
			callbackFunc(direct);
		}
	}
	/*注册事件*/
	if (dom.addEventListener) {
		dom.addEventListener('DOMMouseScroll', scrollFunc, false);
	}
	dom.onmousewheel = scrollFunc;//IE/Opera/Chrome
}
};
